/* General and Reset */
:root {
    --primary: #7e3737;
    --bg: #363232;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html, body {
    height: 100%; /* Set height to 100% for both html and body */
}

body {
    font-family: "Poppins", sans-serif;
    line-height: 1.6;
    color: #dbcece;
    background-color: var(--bg);
    display: flex; /* Use flexbox for body */
    flex-direction: column; /* Arrange children in a column */
}

/* Header & Navigation */
header {
    background-color: #aa8585;
    padding: 10px 20px;
}

header .logo-title {
    font-family: 'Lexend Deca';
    color: #ffffff;
    font-size: 1.5rem;
    font-weight: bold;
    text-transform: initial;
    letter-spacing: 2px;
}

header nav {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: space-between;
    gap: 20px;
}

.logo-container {
    display: flex;
    align-items: center;
}

.site-logo {
    height: 40px;
    margin-right: 10px;
}

header nav ul {
    list-style: none;
    display: flex;
    justify-content: flex-end;
    gap: 20px;
    color: rgb(233, 211, 185);
}

header nav ul li a {
    color: #fff;
    text-decoration: none;
    font-weight: medium;
}

header nav ul li a:hover {
    text-decoration: underline;
    color: var(--primary);
}

/* Hero Section */
.hero {
    text-align: center;
    padding: 60px 20px;
    background: linear-gradient(135deg, #4caf50);
}

/* Main Content */
main {
    flex: 1; /* Allow main to grow and take available space */
}

/* Footer */
footer {
    background-color: #ac7979; /* Optional: Add a background color to the footer */
    padding: 10px; /* Optional: Add some padding */
    text-align: center; /* Optional: Center the text */
}

footer p {
    color: #fff;
}